| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class Scanner

    java.lang.Object
      |
      +--JavaLexer
            |
            +--Scanner

All Implemented Interfaces:
  JavaParser.yyInput

public class Scanner
extends JavaLexer
implements JavaParser.yyInput

Field Summary

Fields inherited from class JavaLexer
`token`

Constructor Summary
`Scanner(java.io.Reader reader)`

Method Summary
`boolean` | `advance()` move on to next token.
`int` | `token()` classifies current token.
`java.lang.Object` | `value()` associated with current token.

Methods inherited from class JavaLexer
`yylex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scanner

    public Scanner(java.io.Reader reader)

Method Detail

### token

    public int token()

  Description copied from interface: `JavaParser.yyInput`
  classifies current token. Should not be called if advance() returned false.

  Specified by:
    `token` in interface `JavaParser.yyInput`
  Returns:
    current %token or single character.

### advance

    public boolean advance()
                    throws java.io.IOException

  Description copied from interface: `JavaParser.yyInput`
  move on to next token.

  Specified by:
    `advance` in interface `JavaParser.yyInput`
  Returns:
    false if positioned beyond tokens.
    `java.io.IOException`

### value

    public java.lang.Object value()

  Description copied from interface: `JavaParser.yyInput`
  associated with current token. Should not be called if advance() returned false.

  Specified by:
    `value` in interface `JavaParser.yyInput`
  Returns:
    value for token().

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD